#!/usr/bin/python3
to_replace = {
  "https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML": "/usr/share/javascript/mathjax/MathJax.js?config=TeX-AMS-MML_HTMLorMML",
  "_static/jquery.js": "/usr/share/javascript/jquery/jquery.js",
  "_static/underscore.js": "/usr/share/javascript/underscore/underscore.js"
}

import bs4
import sys
from os import listdir
from os.path import isfile, join

mypath = sys.argv[1]

for filename in  [f for f in listdir(mypath) if isfile(join(mypath, f))]:
    if '.html' != filename[-5:]:
        continue
    with open(join(mypath, filename), encoding='utf-8') as inf:
        txt = inf.read()
        soup = bs4.BeautifulSoup(txt, "lxml")

    # Remove conditional comments
    comments = soup.findAll(text=lambda text:isinstance(text, bs4.Comment) and text.find('if') != -1)
    for comment in comments:
        comment.replace_with('')

    for script in soup.find_all("script"): 
        src = script.attrs.get('src',None)
        if src in to_replace.keys():
             script.attrs['src'] = to_replace[src] 
    
    with open(join(mypath, filename), "w", encoding='utf-8') as outf:
        outf.write(str(soup))
